Name:		libICE
Version:	1.0.10
Release:	2
Summary:	Inter-Client Exchange Library
License:	MIT
URL:		http://www.x.org
Source0:        https://www.x.org/pub/individual/lib/%{name}-%{version}.tar.bz2

Patch0:         0002-Add-getentropy-emulation-through-syscall.patch

BuildRequires:	xorg-x11-util-macros autoconf automake libtool pkgconfig
BuildRequires:  xorg-x11-proto-devel xorg-x11-xtrans-devel >= 1.0.3-5

%description
The X.Org X11 ICE runtime library.
	
%package        devel
Summary:        header files for libICE
Requires:       %{name} = %{version}-%{release}

%description    devel
header files for libICE

%package_help 

%prep
%autosetup -n %{name}-%{version} -p1

%build
autoreconf -ivf
%configure --without-fop --without-xmlto
%make_build V=1

%install
%make_install
%delete_la_and_a

%ldconfig_scriptlets

%files
%defattr(-,root,root)
%doc AUTHORS INSTALL
%license COPYING
%{_libdir}/libICE.so.*

%files       devel
%defattr(-,root,root)
%{_libdir}/libICE.so
%{_libdir}/pkgconfig/ice.pc
%{_includedir}/X11/ICE
%{_docdir}/%{name}/*.xml

%files       help
%defattr(-,root,root)
%doc ChangeLog README.md

%changelog
* Sat Dec 28 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.0.10-2
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:modify the spec

* Thu Oct 31 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.0.10-1
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:update to 1.0.10

* Tue Sep 17 2019 Yiru Wang <wangyiru1@huawei.com> - 1.0.9-15
- Pakcage init
